Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005278 [JEDI VCL] 00 JVCL Components major always 2010-07-14 15:58 2012-02-29 16:55
Reporter ZENsan View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005278: JvInterpreter and #XX character codes..
Description JvInterpreter does not handles 0000010, #XX character constants with string constants.

This does not work in JvInterpreter, but works in standard Delphi compiler since 1.0 version:
var
  s: String;
begin
  s := '';
  s := s + 0000013#10'Hello'0000013#10;
end;
Additional Information
Tags No tags attached.
Attached Files zip file icon JvInterpreter.zip [^] (1,204 bytes) 2010-07-14 15:58
? file icon Patch.diff [^] (1,145 bytes) 2010-11-23 14:05

- Relationships

-  Notes
(0017810)
obones (administrator)
2010-10-08 16:02

It would be nice if anyone could write a patch
(0018150)
ZENsan (reporter)
2010-11-23 14:07

I uploaded patch file which fixes this issue. But I haven't tested that on all possible constructions, so i cant guarantee that this is 100% for sure correct.

But if we go from logic side, then it must work for everything. Patch is not big, so it will be easy to understand.

So no # 13'Hello'# 13 will be no problem to parse.
(0018151)
ZENsan (reporter)
2010-11-23 14:08

I hope, Oliver, you will be able to check that. Or possible someone else.
(0018205)
AHUser (developer)
2010-11-28 10:54

Fixed in svn revision 12925.

- Issue History
Date Modified Username Field Change
2010-07-14 15:58 ZENsan New Issue
2010-07-14 15:58 ZENsan File Added: JvInterpreter.zip
2010-08-20 11:46 obones Status new => acknowledged
2010-10-08 16:02 obones Note Added: 0017810
2010-10-08 16:02 obones Status acknowledged => feedback
2010-11-23 14:05 ZENsan File Added: Patch.diff
2010-11-23 14:07 ZENsan Note Added: 0018150
2010-11-23 14:08 ZENsan Note Added: 0018151
2010-11-28 10:54 AHUser Note Added: 0018205
2010-11-28 10:54 AHUser Status feedback => resolved
2010-11-28 10:54 AHUser Fixed in Version => Daily / SVN
2010-11-28 10:54 AHUser Resolution open => fixed
2010-11-28 10:54 AHUser Assigned To => AHUser
2012-02-29 16:55 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker